/*
 * @Author: dugulingping
 * @Date: 2022-04-14 19:52:10
 * @LastEditTime: 2022-04-14 20:23:57
 * @LastEditors: dugulingping
 * @Description: 
 * @FilePath: \test\ServoTest\ServoTest.ino
 */
#include <Servo.h>

Servo myservo;

void setup(){
    myservo.attach(4);

}
void loop(){
  int pos;

  for (pos = 0; pos <= 90; pos += 1) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15ms for the servo to reach the position
  }
  for (pos = 90; pos >= 0; pos -= 1) { // goes from 180 degrees to 0 degrees
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15ms for the servo to reach the position
  }

}
